package edu.travel.adapter.service.tenant;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.feign.mode.vo.tenant.EduTenantVo;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.tenant.TenantRemoteController;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;
import java.util.Set;

@Component
public class TenantAdapter {
    @Resource
    private TenantRemoteController tenantRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<EduTenantVo> getTenantById(Long id) {
        return tenantRemoteController.getTenantById(id);
    }

    @AdapterAnnotation
    public RPCBaseResponse<List<EduTenantVo>> getTenantByIds(Set<String> id) {
        return tenantRemoteController.getTenantByIds(id);
    }
}
