package edu.travel.remote;

import edu.travel.dto.ShopWarehouseDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopWarehouseVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(path = "/shopWarehouse", name = "warehouse")
public interface ShopWarehouseRemoteController extends RemoteBaseController<ShopWarehouseVo, ShopWarehouseDto> {
    //查询库房详情
    @GetMapping("/getWarehouseFormId")
    RPCBaseResponse<ShopWarehouseVo> getFormId(String id);
    //更新库房信息
    @PostMapping("/updateWarehouseFormId")
    RPCBaseResponse<ShopWarehouseVo> updateTargetFormId(@RequestBody ShopWarehouseDto entity);
    //新增库房信息
    @PostMapping("/saveWarehouseForm")
    RPCBaseResponse<ShopWarehouseVo> saveFormTarget(@RequestBody ShopWarehouseDto entity);
   // 删除库房信息
    @PostMapping("/deleteWarehouseFormId")
    RPCBaseResponse<ShopWarehouseVo> deleteTargetFormId(@RequestBody List<String> ids);
    //查询库房列表
    @GetMapping("/getWarehouseForm")
    RPCBaseResponse<List<ShopWarehouseVo>> getAllForm();
}
